Consider the set of PHP versions:

phpbrew list

  php-lamp-stack 
* php-eve-cli    
  php-credit-cli 

then go through checking its versioning and dependencies – correctly installed?

phpbrew use php-lamp-stack
php -v
PHP 7.4.16 (cli) (built: Jul  3 2021 13:54:53) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.16, Copyright (c), by Zend Technologies
    with Xdebug v3.0.4, Copyright (c) 2002-2021, by Derick Rethans
php -m | egrep '(apcu|gd)'
apcu
gd

phpbrew use php-eve-cli
php -v
PHP 7.4.18 (cli) (built: Jul  3 2021 14:16:45) ( ZTS DEBUG GCOV )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.18, Copyright (c), by Zend Technologies
    with Xdebug v3.0.4, Copyright (c) 2002-2021, by Derick Rethans
php -m | egrep '(apcu|gd)'
apcu
gd
phpbrew use php-credit-cli
php -v
PHP 7.4.16 (cli) (built: Jul  3 2021 13:26:36) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.16, Copyright (c), by Zend Technologies
    with Xdebug v3.0.4, Copyright (c) 2002-2021, by Derick Rethans
php -m | egrep '(apcu|gd)'
apcu
gd

This way it’s correctly built and ready for the usage. It’s not NEC after all,it’s likely home domestic product grown up child home work at ECTS scale & stake.

Financial responsibility & subordination
Photo by Bram Naus on Unsplash
%d bloggers like this: